Bug 1377596 - license not listed with %license
Summary: license not listed with %license
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: the_silver_searcher
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Kenjiro Nakayama
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-20 07:55 UTC by Ingvar Hagelund
Modified: 2016-11-30 07:51 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-29 23:52:22 UTC


Attachments (Terms of Use)

Description Ingvar Hagelund 2016-09-20 07:55:14 UTC
Description of problem:
License files should be listed with %license when possible

Version-Release number of selected component (if applicable):
the_silver_searcher-0.32.0-1

How reproducible:
always

Steps to Reproduce:
1. rpm -ql the_silver_searcher | grep LICENSE

Actual results:
/usr/share/doc/the_silver_searcher/LICENSE

Expected results:
/usr/share/licenses/the_silver_searcher/LICENSE

Additional info:

Bug in all supported versions of fedora, and in epel7.

The license file may be listed by %doc too, so a simple patch to the specfile could be as follows.

Ingvar




--- the_silver_searcher.spec.orig	2016-09-20 09:45:22.673433014 +0200
+++ the_silver_searcher.spec	2016-09-20 09:45:38.408349212 +0200
@@ -49,6 +49,9 @@
 %{_mandir}/man1/ag.1*
 %(dirname %{bashcompdir})
 %doc README.md LICENSE
+%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
+%license LICENSE
+%endif
 
 %changelog
 * Thu Jun 30 2016 Kenjiro Nakayama <nakayamakenjiro@gmail.com> - 0.32.0-1

Comment 2 Ingvar Hagelund 2016-09-22 09:47:05 UTC
Eh, if that test fails (eg. on el6), the LICENSE will not be included.

Ingvar

Comment 4 Fedora Update System 2016-09-23 05:25:07 UTC
the_silver_searcher-0.32.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b72a22a946

Comment 5 Fedora Update System 2016-09-23 06:53:00 UTC
the_silver_searcher-0.32.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54f7ec990f

Comment 6 Fedora Update System 2016-09-23 08:00:33 UTC
the_silver_searcher-0.32.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4da6039b17

Comment 7 Fedora Update System 2016-09-23 10:48:18 UTC
the_silver_searcher-0.32.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7540adae5e

Comment 8 Fedora Update System 2016-09-28 16:19:21 UTC
the_silver_searcher-0.32.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02c21e0479

Comment 9 Fedora Update System 2016-11-03 05:14:38 UTC
the_silver_searcher-0.33.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4994185fcb

Comment 10 Fedora Update System 2016-11-03 05:44:45 UTC
the_silver_searcher-0.33.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d62337113

Comment 11 Fedora Update System 2016-11-03 06:07:28 UTC
the_silver_searcher-0.33.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2a531c601

Comment 12 Fedora Update System 2016-11-03 06:13:21 UTC
the_silver_searcher-0.33.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f74b4ddf82

Comment 13 Fedora Update System 2016-11-03 07:05:21 UTC
the_silver_searcher-0.33.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-608a9b5662

Comment 14 Fedora Update System 2016-11-04 17:21:05 UTC
the_silver_searcher-0.33.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-608a9b5662

Comment 15 Fedora Update System 2016-11-04 17:23:14 UTC
the_silver_searcher-0.33.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f74b4ddf82

Comment 16 Fedora Update System 2016-11-05 03:33:49 UTC
the_silver_searcher-0.33.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d62337113

Comment 17 Fedora Update System 2016-11-05 03:54:25 UTC
the_silver_searcher-0.33.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4994185fcb

Comment 18 Fedora Update System 2016-11-05 18:58:11 UTC
the_silver_searcher-0.33.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2a531c601

Comment 19 Fedora Update System 2016-11-06 01:52:51 UTC
the_silver_searcher-0.33.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4994185fcb

Comment 20 Fedora Update System 2016-11-29 23:52:22 UTC
the_silver_searcher-0.33.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-11-30 03:51:30 UTC
the_silver_searcher-0.33.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-11-30 05:27:10 UTC
the_silver_searcher-0.33.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-11-30 07:48:09 UTC
the_silver_searcher-0.33.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-11-30 07:51:30 UTC
the_silver_searcher-0.33.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.